var serviceT = {};
serviceT.setAppParam = function(appKey,appSecret,appPassword){
	var resultInfo;
	var time = new Date();
	var tes = "http://127.0.0.1:19002/api/device/set_app_param?time="+time;
	var dataInfo = "{\"appKey\":\""+appKey+"\",\"appSecret\":\""+appSecret+"\",\"appPassword\":\""+appPassword+"\"}";
	jQuery.support.cors = true;
	$.ajax({  
		type : "post",  
		async:false,  
		url : tes,
		data:dataInfo,
		jsonp: "jsonpCallback",//服务端用于接收callback调用的function名的参数  
		success : function(result){
			if(result.indexOf("jsonpCallback")!=-1){
				resultInfo = result.substring(14,result.length-1);
			}else{
				resultInfo = result;
			}	
		},  
		error:function(){  
			resultInfo = "{\"resultFlag\":\"-1\",\"errorMsg\":\"网络问题,请确认服务是否存在\"}";
		}
	})
	return resultInfo;
}


serviceT.ListCard = function(){
	var resultInfo;
	var time = new Date();
	var tes = "http://127.0.0.1:19002/api/device/ListCard?time="+time;
	jQuery.support.cors = true;
	$.ajax({  
		type : "post",  
		async:false,  
		url : tes,
		jsonp: "jsonpCallback",//服务端用于接收callback调用的function名的参数  
		success : function(result){
			if(result.indexOf("jsonpCallback")!=-1){
				resultInfo = result.substring(14,result.length-1);
			}else{
				resultInfo = result;
			}	
		},  
		error:function(){  
			resultInfo = "{\"resultFlag\":\"-1\",\"errorMsg\":\"网络问题,请确认服务是否存在\"}";
		}
	})
	return resultInfo;
}

serviceT.ConnectCard = function(CardName){
	var resultInfo;
	var time = new Date();
	var tes = "http://127.0.0.1:19002/api/device/ConnectCard?time="+time;
	var dataInfo = "{\"CardName\":\""+CardName+"\"}";
	jQuery.support.cors = true;
	$.ajax({  
		type : "post",  
		async:false,  
		url : tes,
		data:dataInfo,
		jsonp: "jsonpCallback",//服务端用于接收callback调用的function名的参数  
		success : function(result){
			if(result.indexOf("jsonpCallback")!=-1){
				resultInfo = result.substring(14,result.length-1);
			}else{
				resultInfo = result;
			}	
		},  
		error:function(){  
			resultInfo = "{\"resultFlag\":\"-1\",\"errorMsg\":\"网络问题,请确认服务是否存在\"}";
		}
	})
	return resultInfo;
}

serviceT.TransmitCard = function(APDU,CardName){
	var resultInfo;
	var time = new Date();
	var tes = "http://127.0.0.1:19002/api/device/TransmitCard?time="+time;
	var dataInfo = "{\"APDU\":\""+APDU+"\",\"CardName\":\""+CardName+"\"}";
	jQuery.support.cors = true;
	$.ajax({  
		type : "post",  
		async:false,  
		url : tes,
		data:dataInfo,
		jsonp: "jsonpCallback",//服务端用于接收callback调用的function名的参数  
		success : function(result){
			if(result.indexOf("jsonpCallback")!=-1){
				resultInfo = result.substring(14,result.length-1);
			}else{
				resultInfo = result;
			}	
		},  
		error:function(){  
			resultInfo = "{\"resultFlag\":\"-1\",\"errorMsg\":\"网络问题,请确认服务是否存在\"}";
		}
	})
	return resultInfo;
}

serviceT.DisconnectCard = function(CardName){
	var resultInfo;
	var time = new Date();
	var tes = "http://127.0.0.1:19002/api/device/DisconnectCard?time="+time;
	var dataInfo = "{\"CardName\":\""+CardName+"\"}";
	jQuery.support.cors = true;
	$.ajax({  
		type : "post",  
		async:false,  
		url : tes,
		data:dataInfo,
		jsonp: "jsonpCallback",//服务端用于接收callback调用的function名的参数  
		success : function(result){
			if(result.indexOf("jsonpCallback")!=-1){
				resultInfo = result.substring(14,result.length-1);
			}else{
				resultInfo = result;
			}	
		},  
		error:function(){  
			resultInfo = "{\"resultFlag\":\"-1\",\"errorMsg\":\"网络问题,请确认服务是否存在\"}";
		}
	})
	return resultInfo;
}

serviceT.GetErrMsg = function(CardName){
	var resultInfo;
	var time = new Date();
	var tes = "http://127.0.0.1:19002/api/device/GetErrMsg?time="+time;
	jQuery.support.cors = true;
	$.ajax({  
		type : "post",  
		async:false,  
		url : tes,
		jsonp: "jsonpCallback",//服务端用于接收callback调用的function名的参数  
		success : function(result){
			if(result.indexOf("jsonpCallback")!=-1){
				resultInfo = result.substring(14,result.length-1);
			}else{
				resultInfo = result;
			}	
		},  
		error:function(){  
			resultInfo = "{\"resultFlag\":\"-1\",\"errorMsg\":\"网络问题,请确认服务是否存在\"}";
		}
	})
	return resultInfo;
}

serviceT.readIntegratedCard = function(){
	var resultInfo;
	var time=new Date();
	var tes = "http://127.0.0.1:19002/api/device/read_card?time="+time;
	jQuery.support.cors = true;
	$.ajax({  
		type : "post",  
		async:false,  
		url : tes,
		jsonp: "jsonpCallback",//服务端用于接收callback调用的function名的参数  
		success : function(result){
			if(result.indexOf("jsonpCallback")!=-1){
				resultInfo = result.substring(14,result.length-1);
			}else{
				resultInfo = result;
			}	
		},  
		error:function(){  
			resultInfo = "{\"resultFlag\":-1,\"errorMsg\":\"网络问题,请确认服务是否存在\"}";
		}  
	})
	return resultInfo;
}
serviceT.readCard = function(){
	var resultInfo;
	var time=new Date();
	var tes = "http://127.0.0.1:19002/api/device/read_v2_card?time="+time;
	jQuery.support.cors = true;
	$.ajax({  
		type : "post",  
		async:false,  
		url : tes,
		jsonp: "jsonpCallback",//服务端用于接收callback调用的function名的参数  
		success : function(result){
			if(result.indexOf("jsonpCallback")!=-1){
				resultInfo = result.substring(14,result.length-1);
			}else{
				resultInfo = result;
			}	
		},  
		error:function(){  
			resultInfo = "{\"resultFlag\":-1,\"errorMsg\":\"网络问题,请确认服务是否存在\"}";
		}  
	})
	return resultInfo;
}

serviceT.masterTakePhoto = function(){
	var resultInfo;
	var time=new Date();
	var tes = "http://127.0.0.1:19002/api/device/master_take_photo?time="+time;
	jQuery.support.cors = true;
	$.ajax({  
		type : "post",  
		async:false,  
		url : tes,
		jsonp: "jsonpCallback",//服务端用于接收callback调用的function名的参数  
		success : function(result){
			if(result.indexOf("jsonpCallback")!=-1){
				resultInfo = result.substring(14,result.length-1);
			}else{
				resultInfo = result;
			}	
		},  
		error:function(){  
			resultInfo = "{\"resultFlag\":-1,\"errorMsg\":\"网络问题,请确认服务是否存在\"}";
		}  
	})
	return resultInfo;
}

serviceT.slaveTakePhoto = function(){
	var resultInfo;
	var time=new Date();
	var tes = "http://127.0.0.1:19002/api/device/slave_take_photo?time="+time;
	jQuery.support.cors = true;
	$.ajax({  
		type : "post",  
		async:false,  
		url : tes,
		jsonp: "jsonpCallback",//服务端用于接收callback调用的function名的参数  
		success : function(result){
			if(result.indexOf("jsonpCallback")!=-1){
				resultInfo = result.substring(14,result.length-1);
			}else{
				resultInfo = result;
			}	
		},  
		error:function(){  
			resultInfo = "{\"resultFlag\":-1,\"errorMsg\":\"网络问题,请确认服务是否存在\"}";
		}  
	})
	return resultInfo;
}

serviceT.checkScreen = function(){
	var resultInfo;
	var time=new Date();
	var tes = "http://127.0.0.1:19002/api/device/check_screen?time="+time;
	jQuery.support.cors = true;
	$.ajax({  
		type : "post",  
		async:false,  
		url : tes,
		jsonp: "jsonpCallback",//服务端用于接收callback调用的function名的参数  
		success : function(result){
			if(result.indexOf("jsonpCallback")!=-1){
				resultInfo = result.substring(14,result.length-1);
			}else{
				resultInfo = result;
			}	
		},  
		error:function(){  
			resultInfo = "{\"resultFlag\":-1,\"errorMsg\":\"网络问题,请确认服务是否存在\"}";
		}  
	})
	return resultInfo;
}

serviceT.signFile = function(){
	var resultInfo;
	var time=new Date();
	var tes = "http://127.0.0.1:19002/api/device/sign_file?time="+time;
	jQuery.support.cors = true;
	$.ajax({  
		type : "post",  
		async:false,  
		url : tes,
		jsonp: "jsonpCallback",//服务端用于接收callback调用的function名的参数  
		success : function(result){
			if(result.indexOf("jsonpCallback")!=-1){
				resultInfo = result.substring(14,result.length-1);
			}else{
				resultInfo = result;
			}	
		},  
		error:function(){  
			resultInfo = "{\"resultFlag\":-1,\"errorMsg\":\"网络问题,请确认服务是否存在\"}";
		}  
	})
	return resultInfo;
}
